package com.junmp.jyzb.api.bean.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class OrderMainDto implements Serializable {

    private String id;

    private String orderType;

    private String processId;

    private String bussinessType;

    private String orderCode;

    private Long startOrgId;

    private String startOrgName;

    private Long endOrgId;

    private String endOrgName;

    private String startOrgUserId;

    private String startOrgUserName;

    private String endOrgUserId;

    private String endOrgUserName;

    private String examineState;

    private BigDecimal price;

    private Integer inventoryQuantity;

    private Integer actualQuantity;

    private Integer manualState;

    private Integer orderState;

    private String attachmentLocation;

    private String invList;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String createUser;

    private String updateUser;
}
