package com.junmp.jyzb.api.bean.query;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.junmp.v2.common.bean.request.BaseRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
public class OrderDetailReq extends BaseRequest {

    private Long id;

    @NotBlank(message = "任务单id不能为空",groups = {detail.class})
    private String orderId;

    private String type;

    private String equipmentType;

    private String equipmentTypeName;

    private Long equipmentSize;

    private String equipmentSizeName;

    private Long equipment_supplier;

    private String equipmentSupplierName;

    private String planNum;

    private String actualNum;

    private String price;

    private String orderType;

    private Date createTime;

    private Date updateTime;

    private String createUser;

    private String updateUser;
}
