package com.junmp.jyzb.api.bean.query;

import com.junmp.v2.common.bean.request.BaseRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
public class OrderMainReq extends BaseRequest {
    @NotBlank(message = "任务单id不能为空",groups = {detail.class})
    private String id;

    private String orderType;

    private String processId;

    private String bussinessType;

    private String orderCode;

    private Long startOrgId;

    private String startOrgName;

    private Long endOrgId;

    private String endOrgName;

    private String startOrgUserId;

    private String startOrgUserName;

    private String endOrgUserId;

    private String endOrgUserName;

    private String examineState;

    private BigDecimal price;

    private Integer inventoryQuantity;

    private Integer actualQuantity;

    private Integer manualState;

    private Integer orderState;

    private String attachmentLocation;

    private String invList;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String createUser;

    private String updateUser;
}
