package com.junmp.jyzb.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    @TableName("bussiness_order_detail")
    public class OrderDetail implements Serializable {
        @TableField("id")
        private Long id;

        @TableField("order_id")
        private String orderId;

        @TableField("type")
        private String type;

        @TableField("equipment_type")
        private String equipmentType;

        @TableField("equipment_type_name")
        private String equipmentTypeName;

        @TableField("equipment_size")
        private Long equipmentSize;

        @TableField("equipment_size_name")
        private String equipmentSizeName;

        @TableField("equipment_supplier")
        private Long equipmentSupplier;

        @TableField("equipment_supplier_name")
        private String equipmentSupplierName;

        @TableField("plan_num")
        private String planNum;

        @TableField("actual_num")
        private String actualNum;

        @TableField("price")
        private String price;

        @TableField("order_type")
        private String orderType;
        /**
         * 创建时间
         */
        @TableField(value = "create_time", fill = FieldFill.INSERT)
        private Date createTime;

        /**
         * 更新时间
         */
        @TableField(value = "update_time", fill = FieldFill.UPDATE)
        private Date updateTime;

        @TableField("create_user")
        private String createUser;

        @TableField("update_user")
        private String updateUser;


}
