package com.junmp.jyzb.rabbitmq;

import com.junmp.jyzb.api.bean.dto.OrderDto;
import com.junmp.jyzb.service.OrderService;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

//将工作单上传到rabbitmq中
@Component
public class OrderMQSender {
    @Resource
    private RabbitTemplate rabbitTemplate;
    @Resource
    private OrderService orderService;

    public void send(){
        //将审核状态为finished的任务单放入rabbitmq中
        List<OrderDto> order = orderService.getOrder();
        rabbitTemplate.convertAndSend("OrderExchange","Test1Routing",order);
    }

}
