package com.junmp.jyzb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.api.bean.dto.EquipmentSizeDto;
import com.junmp.jyzb.api.bean.query.QueryEquipmentSizeReq;
import com.junmp.jyzb.api.bean.req.UpdateEquipmentSizeReq;
import com.junmp.jyzb.entity.EquipmentSize;
import com.junmp.jyzb.utils.ResponseResult;

import java.util.List;

public interface EquipmentSizeService extends IService<EquipmentSize> {
    String addSize(UpdateEquipmentSizeReq req);

    EquipmentSize getOneSize(QueryEquipmentSizeReq req);

    Boolean deleteSize(UpdateEquipmentSizeReq req);

    Boolean updateSize(UpdateEquipmentSizeReq req);

    Boolean changeSizeState(UpdateEquipmentSizeReq req);

    List<EquipmentSizeDto> getAllSize(QueryEquipmentSizeReq req);
}
