package com.junmp.jyzb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.api.bean.dto.OrgDto;
import com.junmp.jyzb.api.bean.dto.OrgTreeDto;
import com.junmp.jyzb.api.bean.query.QueryOrgReq;
import com.junmp.jyzb.api.bean.req.UpdateOrgReq;
import com.junmp.jyzb.utils.ResponseResult;

import java.util.List;
import java.util.Map;
import com.junmp.jyzb.entity.PubOrg;

public interface PubOrgService extends IService<PubOrg> {


    ResponseResult setShortName(Map<String, Object> orgId);

    List<Long> getLowerOrg(Long orgId);

    ResponseResult setOrgParentIds();

    List<OrgDto> getOrgList(QueryOrgReq req);
    List<OrgDto> getLowOrg(QueryOrgReq req);

    Boolean ChangeState(UpdateOrgReq req);

    //根据组织机构id查询出组织机构是否存在
    PubOrg PubOrgExist(Long id);


}
