package com.junmp.jyzb.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.junmp.jyzb.api.bean.req.BorrowFormReq;
import com.junmp.jyzb.entity.PoliceEquipment;
import com.junmp.jyzb.entity.Policeman;
import com.junmp.jyzb.service.PoliceEquipmentService;
import com.junmp.jyzb.mapper.PoliceEquipmentMapper;
import com.junmp.jyzb.service.PolicemanService;
import com.junmp.v2.common.util.BeanPlusUtil;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
* @author lxh
* @description 针对表【base_police_equipment】的数据库操作Service实现
* @createDate 2023-08-10 13:13:20
*/
@Service
public class PoliceEquipmentServiceImpl extends ServiceImpl<PoliceEquipmentMapper, PoliceEquipment>
    implements PoliceEquipmentService{
    @Resource
    private PolicemanService policemanService;

    /**
     * 借用时将装备进行添加借用装备信息
     * @param req
     * @return
     */
    @Override
    public boolean AddBorrowEqs(BorrowFormReq req) {
        PoliceEquipment policeEquipment = new PoliceEquipment();
        //判断警员是否存在
        policemanService.PoliceExist(req.getPoliceId());
        BeanPlusUtil.copyProperties(req,policeEquipment);
        return save(policeEquipment);
    }
}




