package com.junmp.jyzb.api.bean.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class ShelfInventoryDto implements Serializable {
    /**
     * 仓库id
     */
    private String warehouseId;
    /**
     *仓库名称
     */
    private String warehouseName;

    /**
     *区域名称
     */
    private String shelfAreaName;

    /**
     *仓库地点
     */
    private String warehouseLocation;

    /**
     * 装备汇总list
     */
    private List<InventorySumDto> list;

}
