package com.junmp.jyzb.api.bean.req;

import com.junmp.v2.common.bean.request.BaseRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
public class BorrowFormReq extends BaseRequest {
    /**
     *id
     */
    private String id;

    /**
     * 警员ID
     */
    private String policeId;

    /**
     * 装备ID
     */
    private String equipmentId;

    /**
     * 装备数量
     */
    private Integer num;

    /**
     * 组织机构ID
     */
    private Long orgId;

    /**
     * 装备名称
     */
    private String equipmentName;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 警员名称
     */
    private String policeName;
}
