package com.junmp.jyzb.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName bussiness_order_log
 */
@TableName(value ="bussiness_order_log")
@Data
public class OrderLog implements Serializable {
    /**
     * 主键
     */
    @TableId
    private Long id;

    /**
     * 单据id
     */
    @TableField("order_id")
    private String orderId;

    /**
     * 操作记录（upload上传消息）
     */
    @TableField("history_msg")
    private String historyMsg;

    /**
     * 创建时间
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time",fill =FieldFill.UPDATE)
    private Date updateTime;

    /**
     * 创建人员
     */
    @TableField("create_user")
    private String createUser;

    /**
     * 修改人员
     */
    @TableField("update_user")
    private String updateUser;


    private static final long serialVersionUID = 1L;


}