package com.junmp.jyzb.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("sys_user")
public class User implements Serializable {

    private Long userId;

    @TableField(value = "real_name")
    private String realName;

    private String nickName;
    private String account;
    private String password;
    //头像，存的为文件的id
    private Long avatar;
    private Date birthday;
    private String sex;
    private String email;
    private String phone;
    private String tel;
    private String superAdminFlag;
    private String statusFlag;
    private Integer userType;
    private String lastLoginIp;
    private Date lastLoginTime;
    private Integer delFlag;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    private Long createUser;

    @TableField(value = "update_time", fill = FieldFill.UPDATE)
    private Date updateTime;

    private Long updateUser;
    private Integer appFlag;
}
